SSL Certificate Warnings -"The certificate needs to be renewed" Raised on BDA Servers (Doc ID 2034461.1)

Last updated on JULY 21, 2015

Applies to:

Big Data Appliance Integrated Software - Version 4.1.0 and later
Linux x86-64

Symptoms

On BDA servers, for example BDA V4.1 OL6 "The certificate needs to be renewed" errors are rasied on BDA servers:


################# SSL Certificate Warning ################

Certificate for hostname '[the hostname of each server]', in file (or by nickname):
   /etc/pki/tls/certs/localhost.crt

The certificate needs to be renewed; this can be done
using the 'genkey' program.

Browsers will not be able to correctly connect to this
web site using SSL until the certificate is renewed.

##########################################################
                                Generated by certwatch(1)

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms